Package org.apache.tapestry5.internal.services

## Class JSONCollectionEventResultProcessor

- java.lang.Object
- - org.apache.tapestry5.internal.services.JSONCollectionEventResultProcessor

- All Implemented Interfaces:
    `ComponentEventResultProcessor<JSONCollection>`

      public class JSONCollectionEventResultProcessor
      extends java.lang.Object
      implements ComponentEventResultProcessor<JSONCollection>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JSONCollectionEventResultProcessor​(Response response, java.lang.String outputEncoding, boolean compactJSON)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `processResultValue​(JSONCollection value)` | For a given, non-null return value from a component event method, construct and send a response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JSONCollectionEventResultProcessor

          public JSONCollectionEventResultProcessor​(Response response,
                                                    @Symbol("tapestry.charset")
                                                    java.lang.String outputEncoding,
                                                    @Symbol("tapestry.compact-json")
                                                    boolean compactJSON)

  - ### Method Detail

    - #### processResultValue

          public void processResultValue​(JSONCollection value)
                                  throws java.io.IOException

      Description copied from interface: `ComponentEventResultProcessor`
      For a given, non-null return value from a component event method, construct and send a response. Starting in release 5.4, it is recommended that for any response that involves Tapestry pages or components, the implementation should create an `IOOperation` to do the rendering, and add the operation to the `Request` as attribute `TapestryConstants.RESPONSE_RENDERER`. This avoids a number of issues related to the `Environment`.
      Specified by:
        `processResultValue` in interface `ComponentEventResultProcessor<JSONCollection>`
      Parameters:
        `value` - the value returned from a method
      Throws:
        `java.io.IOException`